Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » Developing U++ » Releasing U++ » Missing dependency with Fedora 21 rpm ? (yum complains about missing dependency : libexpat-devel)
Missing dependency with Fedora 21 rpm ? [message #44677] Sun, 17 May 2015 21:58 Go to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi,

I'm trying to install UPP on Fedora 21. I got a missing dependency for upp-devel-8355-4.1.noarch : it claims for libexpat-devel.

This seems hard to find... I found that it's provided by expat-devel, but finally, after installing this rpm, I have still the same missing dependency...

Any idea ?
Re: Missing dependency with Fedora 21 rpm ? [message #44680 is a reply to message #44677] Tue, 19 May 2015 20:52 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

jibe wrote on Sun, 17 May 2015 21:58
Hi,

I'm trying to install UPP on Fedora 21. I got a missing dependency for upp-devel-8355-4.1.noarch : it claims for libexpat-devel.

This seems hard to find... I found that it's provided by expat-devel, but finally, after installing this rpm, I have still the same missing dependency...

Any idea ?

Hi Jibe,

That is weird. The package was built using OBS, where the package expat-devel is available. Also, I found it using rpmfind.net, which claims it should be available in Fedora 21 (among others). I don't use Fedora personally, so I can't really test that Sad If you can't find it in official repositories, the RPM can be downloaded from this rpmfind site and installed locally.

Please let me now if you find a solution, it might be helpful for someone else in the future.

Best regards,
Honza
Re: Missing dependency with Fedora 21 rpm ? [message #44711 is a reply to message #44677] Mon, 01 June 2015 18:02 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi, Honza,

Sorry to be so late to reply... I'm very busy with other things...

I found and installed this rpm (more exactly, the 64 bits version, as my Fedora is 64 bits). But the problem is, in fact, that it does not provide the libexpat-devel library that is needed by upp...

jibe
I found that it's provided by expat-devel, but finally, after installing this rpm, I have still the same missing dependency...


I can find some libexpat-devel rpms, but none for Fedora, and all those I tried conflict with Fedora packages...

Is this package really needed ? I have no more CentOS/Scientific Linux, but I don't remember that I had this problem with those distros, and don't think that it was already installed...

I could recompile from the source, but libexpat-devel will need at least libexpat, so before I recompile several packages, I should like to be sure that it's really needed. And this will probably cause conflicts each time some Fedora packages will be updated...
Re: Missing dependency with Fedora 21 rpm ? [message #44780 is a reply to message #44677] Thu, 25 June 2015 10:05 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi,

I miss time to investigate on this...

Honza, could you at least confirm if this dependency is really needed, please ? I feel strange that I did not had this problem with CentOS and SL...
Re: Missing dependency with Fedora 21 rpm ? [message #44782 is a reply to message #44677] Thu, 25 June 2015 14:54 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
it seems logical that, as for SSL, the development package is really needed and maybe I do not remember having it installed on my Centos and SL. But is it the right version given as dependency for Fedora ? Is it normal that the official package is not good for UPP ?

I have no access for now to my Fedora, but a quick googling gave me that. I'm not sure if it was or not what I tried to install, but it's the same name.

I could try later to install that, but your advices on how to investigate will be welcome, as I was unable to understand why I had these cascading dependency problems...

Thanks.
Re: Missing dependency with Fedora 21 rpm ? [message #44784 is a reply to message #44677] Thu, 25 June 2015 21:52 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Hi Jibe,

I'm sorry, I must have missed your post from four weeks ago... Embarassed

I just searched the sources to figure out why is libexpat even needed and it looks like it is there only because it is dependency of fontconfig, which is needed pretty much for anything with GUI.

But I am not sure if there is really a need for the libexpat-dev package, it is possible that libexpat would be enough. I'll give it a better look in the morning.

Thanks for your patience, I don't have much time for this either... Sad

Honza
Re: Missing dependency with Fedora 21 rpm ? [message #44785 is a reply to message #44677] Fri, 26 June 2015 07:11 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Ok, I checked it in detail and it seems the devel package for expat should not be necessary. I will try to modify the packages, but I don't have much spare time right now. Hopefully, it'll be ready by Monday. I'll let you know...

Honza
Re: Missing dependency with Fedora 21 rpm ? [message #44787 is a reply to message #44784] Fri, 26 June 2015 09:38 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi Honza,

dolik.rce wrote on Thu, 25 June 2015 21:52
Thanks for your patience, I don't have much time for this either... Sad

Don't worry, it's the same for me !

There is absolutely no emergency : I use UPP on my Linux Mint. If it's true that I should like have it on my Fedora, it's just for a little more comdort, not really a need. It was also to help you to test the Fedora package, as I think it's important that there is one : a lot of developpers use Fedora rather than Ubuntu derivate distros.

So, don't give priority to this : I'm not very sure that I will have time to test it next week...
Re: Missing dependency with Fedora 21 rpm ? [message #44799 is a reply to message #44787] Mon, 29 June 2015 22:13 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Hi Jibe,

I updated the spec files for Fedora/OpenSuSE/ScientificLinux rpms few minutes ago. They should no longer depend on expat-devel. Please check them out when you have time some spare time...

Honza
Re: Missing dependency with Fedora 21 rpm ? [message #44801 is a reply to message #44677] Tue, 30 June 2015 10:57 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi, Honza,

Thanks ! I will try this ASAP (not sure that it will be this week however...)
Re: Missing dependency with Fedora 21 rpm ? [message #44829 is a reply to message #44677] Mon, 06 July 2015 09:47 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi Honza,

Sorry, I have still problem... I quicly tried to install on Fedora 21, not so much time to investigate -> I just hope that I did not miss something easy to find...

First, yum cannot find anymore upp-devel-8355-6.1.noarch.rpm. I don't know why (I do have home:dolik_rce:nightly.repo in /etc/yum.repos.d) and to try I just downloaded all rpms and did a yum localinstall.

Doing that, I have still upp-devel-8355-6.1.noarch.rpm complaining for missing dependency libexpat-devel...

Re: Missing dependency with Fedora 21 rpm ? [message #44964 is a reply to message #44829] Sun, 02 August 2015 13:51 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Hi jibe,

I finally got to this again... The expat library should be totally purged from all the packaging files now. Can you try?

Honza
Re: Missing dependency with Fedora 21 rpm ? [message #45140 is a reply to message #44677] Tue, 15 September 2015 12:48 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi Honza,

Sorry, I did not see your post... Too bad that the new forums don't provide anymore the post notifications...

No more problems with expat-devel, but now I have problems with gdk-pixbuf.h...

To be able to compile some applications or examples, I had to do the following :
yum install theide.x86_64
yum install umk*
wget http://download.opensuse.org/repositories/home:/dolik_rce:/nightly/Fedora_21/noarch/upp-devel-8913-1.1.noarch.rpm
yum localinstall upp-devel-8913-1.1.noarch.rpm
yum install libgtk-x11-2.0.so.0

But for all applications or examples I tried to compile (ie the AddressBook example), I get an error :
gdk-pixbuf/gdk-pixbuf.h no such file or directory


But :
# yum list gdk-pixbuf2*
Modules complémentaires chargés : langpacks
Paquets installés (=> installed packages)
gdk-pixbuf2.i686                                                                                                        2.31.6-1.fc21                                                                                                 @updates
gdk-pixbuf2.x86_64                                                                                                      2.31.6-1.fc21                                                                                                 @updates
gdk-pixbuf2-devel.x86_64                                                                                                2.31.6-1.fc21                                                                                                 @updates
Paquets disponibles (=> available packages - not installed)
gdk-pixbuf2-devel.i686                                                                                                  2.31.6-1.fc21                                                                                                 updates 
gdk-pixbuf2-tests.x86_64                                                                                                2.31.6-1.fc21                                                                                                 updates 

I should surprised that it's because gdk-pixbuf2-tests.x86_64 is missing ? I tried to install gdk-pixbuf2-devel.i686, but the problem remains the same...

Seems that now, you removed too much dependencies !
Re: Missing dependency with Fedora 21 rpm ? [message #45141 is a reply to message #45140] Tue, 15 September 2015 13:33 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Great news, that the dependencies are fixed!

The gdk-pixbuf.h problem is most probably caused by wrong path in build method. Other user already reported similar problem on manjaro linux. It is easy to fix, I just need to know the correct location of that file. Can you please run 'find /usr/include -name gdk-pixbuf.h' on your machine and send me the output (if any)?

Honza
Re: Missing dependency with Fedora 21 rpm ? [message #45142 is a reply to message #44677] Tue, 15 September 2015 15:19 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
This file is here :
/usr/include/gdk-pixbuf-2.0/gdk-pixbuf/gdk-pixbuf.h
...that is exactly the same place as on my Linux Mint that works well !

Re: Missing dependency with Fedora 21 rpm ? [message #45148 is a reply to message #45142] Wed, 16 September 2015 20:42 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

jibe wrote on Tue, 15 September 2015 15:19
This file is here :
/usr/include/gdk-pixbuf-2.0/gdk-pixbuf/gdk-pixbuf.h
...that is exactly the same place as on my Linux Mint that works well !

Thanks, it should be fixed now. I added the path to the default build method.
Re: Missing dependency with Fedora 21 rpm ? [message #45150 is a reply to message #44677] Wed, 16 September 2015 21:35 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi, Honza,

Thanks, but it's always the same...

What surprises me is that the yum update I just did now did not find anything to do. My last previous update was about 8 o'clock (French local time) this morning, when your post is dated 20:42 (again French local time) this evening...

My installed version (updated this morning) is 8931, and it is what I see in your repo this evening. Was I too fast and did not let you time to upgrade your repo ?

I'll try again tomorrow evening or on Friday.

[Updated on: Wed, 16 September 2015 21:37]

Report message to a moderator

Re: Missing dependency with Fedora 21 rpm ? [message #45151 is a reply to message #45150] Wed, 16 September 2015 21:55 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

I edited the file today, around noon I think (CEST too), but I'm not sure how long it took to rebuild. However I see the version 8931-2 in the repository now...

Also, you might need to copy the changed file from /usr/share/upp/GCC.bm to your ~/.upp/theide, it is not done automatically, only on first installation (to prevent overwriting your modifications).
Re: Missing dependency with Fedora 21 rpm ? [message #45154 is a reply to message #44677] Thu, 17 September 2015 22:46 Go to previous messageGo to next message
jibe is currently offline  jibe
Messages: 294
Registered: February 2007
Location: France
Experienced Member
Hi, Honza,

I don't understand what happens with your repo... Here is what says yum :
# yum list theide
Modules complémentaires chargés : langpacks
Paquets installés (=installed packages)
theide.x86_64        8931-2.1        @home_dolik_rce_nightly
Paquets disponibles (=available packages)
theide.i686          8931-2.1        home_dolik_rce_nightly 

This is what I got yesterday morning, so normally before your update, and it is the version that I see now in your repo. I did make a yum update yesterday evening after your post, and it complained that there is nothing to update...

Remember also that I mentioned that I was obliged to make a localinstall of some rpms (see my message #45140). I do not understand why the yum install cannot find those rpms ?


When I got the problem with pixbuf.h, I did not think to look at ~/.upp/theide/GCC.bm. The path was missing, so I added it this evening, and I was able to compile successfully the AddressBook.

So, I think that I can say that all is Ok with U++/Fedora21, except those curious things with yum and your repo. For now, those who want to install it will probably have to do what I explained in the first part of my message #45140.
Re: Missing dependency with Fedora 21 rpm ? [message #45155 is a reply to message #45154] Fri, 18 September 2015 20:52 Go to previous messageGo to previous message
dolik.rce is currently offline  dolik.rce
Messages: 1789
Registered: August 2008
Location: Czech Republic
Ultimate Contributor

Hi jibe,

Thanks for your summary.

I actually don't have a slightest idea about how the rpm repositories work Rolling Eyes It's all magic, done by OBS. I only use Debian and Arch, and I never noticed anything wrong with those repositories. So it might be some just some fluke in how OBS works (not very probable) or there is still something wrong with my packaging (much more probable Smile ).

At least it now works for you. If anyone else is reading this and using the repository on any RPM-based distro, please let me know how it works for you...

Honza
Previous Topic: mingw/ms sdk not detected
Next Topic: U++ Package availability for LinuxMint
Goto Forum:
  


Current Time: Wed Jul 17 14:32:10 CEST 2024

Total time taken to generate the page: 0.02527 seconds